GNU bug report logs - #12840
24.2.50; ediff: mode-line of control buffer - improvement request

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 19 Jun 2022 12:30:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 08:30:41 2022
Received: from localhost ([127.0.0.1]:50814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2u4f-0006qP-6N
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 08:30:41 -0400
Received: from mout.web.de ([212.227.17.12]:49551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1o2u4a-0006eg-SC
 for 12840 <at> debbugs.gnu.org; Sun, 19 Jun 2022 08:30:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1655641830;
 bh=SiWeo1OqKmZGxG7JuOxiU27A89VJT5LBwEdJvIka9NE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QRaMMERSGykjrRF6v8p40BHH9CPPTtHD5d0uhPD6A3KaFg6sVfwP732RZwC+XMdly
 +aSzTwzI2AdEOKBWcxuSKAlRwTZfZDtXf3j9Z3S2Pj2+PTnu18PSXKNWUAbDEAizaz
 ck8mq6o9+58f/LYeYsmaMRHIXR8a6AgtKNu+/de0=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([84.60.174.246]) by smtp.web.de (mrweb106
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MKdLK-1oHH7y2D8u-00Ky9u; Sun, 19
 Jun 2022 14:30:30 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
 <87ee11ylzj.fsf@HIDDEN> <87wnesb835.fsf@HIDDEN>
 <87leu0sme0.fsf@HIDDEN> <87ilp31ez5.fsf@HIDDEN>
 <87y1xyi0vf.fsf@HIDDEN>
Date: Sun, 19 Jun 2022 14:30:29 +0200
In-Reply-To: <87y1xyi0vf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 15 Jun 2022 14:09:56 +0200")
Message-ID: <87o7yovnru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:SaYncNNIdfc6disATYTN56bZ0JmAm3YGkFhR6tqE5qY2V1eojm0
 xyc2zmsirRKgE9WpLaiiTo/RJWHTkfIf8j0o3ld525Bcra+g2ZJejQow4FabQ4//+zgESZT
 DaclBwt1/tE7XbPZwm2JshHlbKL/GpECBy+evORqFab2cW51EG5WjMrMqjBPqxtm23mYJPc
 HJddLgGzbEjz/inNOlXdg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ny0JO/Qk8Bc=:5nO4R/jYayf/NxJyXjnaSB
 /qUoAkSzwMrBTqNvln786FjBaC3c1HhpMBpItnMzqjTqKPYHTWB5yS6nQo+BTG/SJZg8nJS7T
 8S/Je7UrohP4ubXjYjqhhX/X+fB0SZK9ItIfWhQjhLcDjdazpP46DtsHLAki7rppO6FJzvIzK
 c1xrEkLFZR2NcblBWwQT/Qpfq/ryNp7TZr/bMYsWYFls/1Xo1wuerc/7T4Xd5MhjuSpWGgp1q
 rAe1hCAvs9IwlbYSKSpd2+ov7gDgJjPB/aQTwK3LTwQ/3NnLMPD2GFzjFiSuQ+kRUJFXAixnP
 NVAvUOsjJJvNX8TgMIWuIXtF1hUBZZPkfslXVvptThHAOiOwoBI7WpENm8N4AbVE6JOfK91QZ
 jwiGBylKOOZkE7E2df3sDGqoQlQJfLmrW01Y1txlPFD1xv4i4v1Gz7AQtzlVOSDbU1SUD0Tc9
 QrtwQo7zDaaMr1wdmrpXFAYT+TwXPTEXL+Ubyv0Vg/bEClBTpbRFB8sRVFPDUQTCoVZeajIE2
 3X6RKlEHAc6lW1CP8uL2bzyy60DTU3QFfazExjKgM+yxr+F1NTPFevqLQaUqkN2riLUs3d5FD
 WkwLtuYQA8DjnrQiK68uJFmz9h6AZZfS4Muyunwrq3qxzDktsTTnFVE120y9TrngMS2QaZUm4
 JBlDbk0/7qu+1Qa1KYhIsf/L8XftjjAAHAkO82LRDxWPbk5xZa5tIrOs0CS9GzckDsCwkM7YR
 OSz095FwGmiqTX6/DxmrmevVWDqK+vA8J3qjT8rgD9ugjLiHiupzC5+i0TD6Z1mxcvvfNLwsE
 9VlrUF+v8Fag3OofKVpj6TNxHn6VKR7VUqKCcsdePRw+sKK96WXMmqiL4fJsPOSk5fo7GChba
 G8YVP90r5TXlfEArvv9w8kjIFlfDlVHwcxh1qjldLOSVpC+2UZGDHlum3xW4LhKwtStvmswgU
 pB7RGWjci53uNd/4KpAnVUaUnNHXghgFv5a9CsesBlZ7IccTnjAWNMmotvukjdxqdFCAY1lqo
 o9ovak1TPVyvVZ/91j231NQebi9SZeQa1dG+wGzizogv0unuthJoX4aqokJPazWCEqMll3JAe
 w8fxj/5rxDDUpDItSxZ7yH+U2swBBy/Owjfy7GvuPpev0x4GYNvzPlzeQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Sure, that's better; please go ahead and push.

Done.

I also investigated what the original intention could have been.
Originally, "Howdy!" was shown instead of "Quick Help".

Later this was changed to "Quick Help" (to say something meaningful, I
guess).  So I would say we are compatible with the original intention.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 15 Jun 2022 12:10:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 08:10:10 2022
Received: from localhost ([127.0.0.1]:36716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1Rqb-0007Mv-VI
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 08:10:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1RqY-0007MH-Hd
 for 12840 <at> debbugs.gnu.org; Wed, 15 Jun 2022 08:10:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=k+UX4604qVYKaqTuhjrAxt63DTajyoQwFgNrd3Z7Cqw=; b=rsab6fLjKObVS9a9EZE96NwLT3
 mk5ozxsKRJKTViklt8nVKckwH4zupbYDVNrdFtY7AQnUDWpowfpuHX55FaJZW7PMgKep3BPcb5MHY
 EXF2f7Kwhh8f3FhHPlXFxaWnxNV9pjZWdQ75/mmci82jyPlk+7rvIc6cnh+EREAs2KQ4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1RqP-0002L7-NJ; Wed, 15 Jun 2022 14:10:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
 <87ee11ylzj.fsf@HIDDEN> <87wnesb835.fsf@HIDDEN>
 <87leu0sme0.fsf@HIDDEN> <87ilp31ez5.fsf@HIDDEN>
X-Now-Playing: Neil Young's _Comes a Time_: "Peace Of My Mind"
Date: Wed, 15 Jun 2022 14:09:56 +0200
In-Reply-To: <87ilp31ez5.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 14
 Jun 2022 16:45:02 +0200")
Message-ID: <87y1xyi0vf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Maybe
 a better approach of deciding would be to make it depend on > whether the
 Quick Help is currently displayed? Seems there is a > variable we could use:
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Maybe a better approach of deciding would be to make it depend on
> whether the Quick Help is currently displayed?  Seems there is a
> variable we could use:

Sure, that's better; please go ahead and push.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 14 Jun 2022 14:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 10:45:13 2022
Received: from localhost ([127.0.0.1]:35438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o17n7-00076A-IR
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 10:45:13 -0400
Received: from mout.web.de ([212.227.17.11]:38835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1o17n3-00075s-FG
 for 12840 <at> debbugs.gnu.org; Tue, 14 Jun 2022 10:45:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1655217903;
 bh=pHFYuzgVSNEcUNCNsFVtWbxNJpoJe+tZ4CBV/T1y5gM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jleglcy00+l3kS0xfGB5+tbo3qZPHHre1OCdvLKQ45HZhnODHCDKbOuxppc3lenYp
 rmo5X8aS4w8N7huBgRlpbv3gMI6SzqwXu3JiZD2KOnDTmLiXD1zG26Z0Vt4mc0Nv/S
 4SoEe49/5tScV4GzqtEZv0HAr7uSZUrA9iZRsdwE=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([84.60.174.246]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MqZQY-1nNPFX0MDo-00mbAB; Tue, 14
 Jun 2022 16:45:03 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
 <87ee11ylzj.fsf@HIDDEN> <87wnesb835.fsf@HIDDEN>
 <87leu0sme0.fsf@HIDDEN>
Date: Tue, 14 Jun 2022 16:45:02 +0200
In-Reply-To: <87leu0sme0.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 13 Jun 2022 15:50:31 +0200")
Message-ID: <87ilp31ez5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:TzUUzeTNJcfqQVfVbxPcajB+20j0hAGQQFpCH1plsdlleAAg3FR
 Y4aUiACWjWAhguMS/Hqsczbkk2JFaJh5QZSviEEWOEEgTDm5EUHiI9zzkr4/f3vczTJ6tn5
 8+ThK9vqXY+yyAAAIVp7p5143RAkjxtcRJ1WULAPyvzjIiQV3om+IizTS9J4aKgJNTUXy+j
 1/k6MNniP1UjKMFlaGPNg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:BrxQPacnsU0=:nv0B950vVv1UNetCaXcj3m
 tss2ImCLlgH7Alraqhuuwb48WlQTJScNkSl/QPqMtOKOQhUDmIhSl5VRGOQg9WXvx5hHW4dr7
 oUFpHt2w2Z0lvK9QFW3R5Bu1kMCp4pR4KRBlucQx7eT4Uggx7s35vlho7+lb4zCHluEoNqGRY
 DhnhvtqIlEqLzeyhfKd2SHXcoUf2cqOaDbpykCOysX/Gs8TASf8R9G2NmmaAdX99IodmkJFaK
 o7ec19Gobc9fhufdIxbcK9Pcb/YTG4OkqRavl1DC/+n2wPdVG5oBqGETq8S+/m1meH/u/xibw
 2lZTi8Dg/k9v37SgeEeyeljolrIBNCZ772JitczQ/Enub0VBuE9vKmnwdxkMkvljfMX0c6Ipj
 4SYdt4o66EeCWJ2CdkdZcavqkZ9QC2nGV3FDKW1GtwRxdMFNkrYH7cOqhI3/Tj9q7Wu9TFWsF
 ad09FA0sSdme84KR8w7SZ8g48Ak4htInLw/0LSepsd1Dgkwv6uajdoXTie497svjJ1nn3ZGZc
 zT9ecWfvjB+XgLvqIQ/CPXQRXe8JxWajzkI3YvxkwM7NhwP8EokI0FeK9fY4XoneRK9T1Gm6p
 9HmxxNsgliyHKs2wp+LQ71LRl0Xvjm6U/279mQRNDY62UHpnUbiflvCAfjDViTnlSnwKns1lo
 KVOYdvzxRZdlD2elH6dhNwB9e7JbKYug955+qrxCIoJA262cN0UTvhqMk9RDYNiWjCnh5PDFk
 qfu67K5yAkvpwZ+llHpGEjqJ/ufVdNBB2xUOTu7yT2D1uW8j001aZS//xyo4vznxpEc3eDk2K
 6N6LELdIwm1TIEqqJsSFiKgnk89vi/jA9Zo/htoev8lcgFycB+04IYVo7+EHwc+ikwlbK6GlX
 Rc7KiAZW1SySYB9o0YHb5AQ5jlNZn3DwpigpDfyu7bZzZk/gTp8die0uke+cs4yVDKTRWmely
 qPmKkjVT4DHuJTq1ntt6K27tTvdcKtgbCi8m33a3vaOr7mtP9qcmqR4SqrUmi6vQT+XeOkm10
 vxNDXFn9QvbdkP9v32eiIuUned7tEhDrUywHzGT/HaLclLaS4Q7lbcqZ5PI7Lobx+mhjco2Ss
 +P73rThJF/Q2nfyRvyckqkbmcSjX8T//x9glUjQ7OaKhYJb5GL4oixuHw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now done these changes in Emacs 29 -- removed the "Quick Help"
> thing with the plain setting, and made the informative parts bold
> (using your suggested function).

Thanks.

I would rather like to avoid to decide based on the value of
`ediff-window-setup-function' since users may wish to implement their
own setup functions.

Maybe a better approach of deciding would be to make it depend on
whether the Quick Help is currently displayed?  Seems there is a
variable we could use:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-WIP-Tune-when-to-show-Quick-Help-in-Ediff.patch
Content-Transfer-Encoding: quoted-printable

=46rom fb2ff90ea8011eb7ebe1961869a74374a266c1d6 Mon Sep 17 00:00:00 2001
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
Date: Tue, 14 Jun 2022 15:09:31 +0200
Subject: [PATCH] WIP: Tune when to show "Quick Help" in Ediff

=2D--
 lisp/vc/ediff-wind.el | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/lisp/vc/ediff-wind.el b/lisp/vc/ediff-wind.el
index 4549b910b1..6db3667545 100644
=2D-- a/lisp/vc/ediff-wind.el
+++ b/lisp/vc/ediff-wind.el
@@ -1136,9 +1136,7 @@ ediff-refresh-mode-lines
 	  (if (ediff-narrow-control-frame-p)
 	      (list "   " mode-line-buffer-identification)
 	    (list "-- " mode-line-buffer-identification
-                  (and (not (eq ediff-window-setup-function
-                                'ediff-setup-windows-plain))
-                       "        Quick Help"))))
+                  (list 'ediff-use-long-help-message "        Quick Help"=
))))
     ;; control buffer id
     (setq mode-line-buffer-identification
 	  (if (ediff-narrow-control-frame-p)
=2D-
2.30.2


--=-=-=
Content-Type: text/plain



Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 12840 <at> debbugs.gnu.org and Michael Heerdegen <michael_heerdegen@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 13 Jun 2022 13:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 09:50:46 2022
Received: from localhost ([127.0.0.1]:57684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0kSr-0007AY-Rr
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 09:50:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o0kSq-0007AH-L2
 for 12840 <at> debbugs.gnu.org; Mon, 13 Jun 2022 09:50:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cx9qMkb/0kOwj6AiBmIE9Vg7zfPGEpUB3D1ULJ9LAhU=; b=J5zOzZ2j9gMaq/GZUwaEJK/ob5
 UIs4hNmzOrM9VgW8eSR+C7yoTDRf3L0kjsrcV9FYqFQkS+ZW5KGRbUjIyjgzA8KX/7mrqPfMOGTkv
 1MEjV7VDIA21r3ghEuw/+HKdAilPjWjfS3DOViWb9eE/GKCdFxObCSCCSkv2AWH6kpp8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o0kSg-0000en-Ec; Mon, 13 Jun 2022 15:50:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
 <87ee11ylzj.fsf@HIDDEN> <87wnesb835.fsf@HIDDEN>
X-Now-Playing: Gosane - Everything You Want's _Tuxedomooning: A Tribute_:
 "The Stranger"
Date: Mon, 13 Jun 2022 15:50:31 +0200
In-Reply-To: <87wnesb835.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 13:51:42 +0200")
Message-ID: <87leu0sme0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Michael
 Heerdegen
 <michael_heerdegen@HIDDEN> writes: > >> The "quick help" is what you get
 when you hit `?`. Look: Without the >> >> (setq ediff-window-setup-function
 'ediff-setup-windows-plain) >> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> The "quick help" is what you get when you hit `?`.  Look: Without the
>>
>>   (setq ediff-window-setup-function 'ediff-setup-windows-plain)
>>
>> setting, the control frame doesn't display a mode-line, but after
>> hitting `?` it does, and the "Quick Help" info gets visible.  My
>> interpretation is that 'ediff-setup-windows-plain has been added later,
>> after quick help, and the "Quick Help" string was never intended to be
>> visible all the time.  Plausible?
>
> Yes, that sounds likely to me.

I've now done these changes in Emacs 29 -- removed the "Quick Help"
thing with the plain setting, and made the informative parts bold (using
your suggested function).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 11 May 2022 11:51:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 07:51:58 2022
Received: from localhost ([127.0.0.1]:36296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noksi-00058v-7Z
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 07:51:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noksg-00058g-LU
 for 12840 <at> debbugs.gnu.org; Wed, 11 May 2022 07:51:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5FT5+M1oNSgOnDMlRPyQhPHOkxfCSO7yn6OuchxM6lE=; b=lxIHEfoRE24P5pg5YfqvkwUM/G
 bIaNs78gE5RzV88vRJCorldSZQzPX+VXOTWqcuZi3CVuTSKDxrWJVQGVV1YjH9DQ3PhdDADg/W/zJ
 dn/suGCSZZZ14s+z9HUY+cjjVS72Llfl3twVvuBF735NjbjccOWN8cpVtM7nWXH7gEqA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noksY-0007ku-Id; Wed, 11 May 2022 13:51:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
 <87ee11ylzj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUBAQIVGCUlIy9W
 UGEtM0tMOEOblqjbubLk09drcZOegX/99/mdaV94hav///+wQeS2AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YFCwseHjEztxMAAAGDSURBVDjL5ZK/T8JAFMfvqovbvaYxjhSJiU7qlYgjbTFxkxDq4nyA
 u9Ag+13S0V+piYMDcWGGJre4uBhnEgf+F1t+lpYYBzbfeJ/7vve+d1+E1l0YdAKgQ1jLQDFK5d1j
 W6O5XALoiGCAtOK3KZgAAbwC5DJ6RlXJ2n39YaeiZiJl1WTbMtFZlWZSYJOCWnFcfpQiz6peaQkv
 eE2cKw9ZuPSklMHhMrCyAAUZVX95BUsDqI+BvFkCWw1aup0A/h4HO5xVvQkYtOPNHLd5MDmXQesj
 BvYEd+agF9usIMSJOwW8012AuhC1qUK6na+LmELywdigJwXvVefzt5nLB9G+/ZoctNpXc8k+fQwf
 KlKI0EnrcwZww3gS3tQI7y46WaeM1WUIguu8HnOxcW86+TfmBc1y4md1EkXNKqa+CQjBCqUWtU2I
 +pNphLENSFX9sEbfPtUJUmfZzobX4NwfDRljdybB86iGeqxY/suQDRt5gyRypEW9fCNnogQAzbbD
 4UDQf6gfbvaVdAPpCWcAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDUtMTFUMTE6MzA6MzArMDA6
 MDBifCELAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA1LTExVDExOjMwOjMwKzAwOjAwEyGZtwAA
 AABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Night Ride Home_: "Come In From The Cold"
Date: Wed, 11 May 2022 13:51:42 +0200
In-Reply-To: <87ee11ylzj.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 11
 May 2022 02:02:56 +0200")
Message-ID: <87wnesb835.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > The
 "quick help" is what you get when you hit `?`. Look: Without the > > (setq
 ediff-window-setup-function 'ediff-setup-windows-plain) > > setting, the
 control frame doesn't display a mode-line, but [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> The "quick help" is what you get when you hit `?`.  Look: Without the
>
>   (setq ediff-window-setup-function 'ediff-setup-windows-plain)
>
> setting, the control frame doesn't display a mode-line, but after
> hitting `?` it does, and the "Quick Help" info gets visible.  My
> interpretation is that 'ediff-setup-windows-plain has been added later,
> after quick help, and the "Quick Help" string was never intended to be
> visible all the time.  Plausible?

Yes, that sounds likely to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 11 May 2022 00:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 20:03:05 2022
Received: from localhost ([127.0.0.1]:35424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noZon-0002tu-J3
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 20:03:05 -0400
Received: from mout.web.de ([212.227.17.11]:34439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1noZol-0002tP-U2
 for 12840 <at> debbugs.gnu.org; Tue, 10 May 2022 20:03:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1652227377;
 bh=V4NWLdqyGPRpQy2gFjqg3gQnqV4xIVVf3S2WfL1Gq/s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gMGMdjv3f+AJyeeGQWU8gA3EHME8J5Eu+4Wl1MLzjMi0IP1Y8DXxXz97ieUAWVb8q
 gM0b3fLQFe4YgxiUG3ICWQIh0mmSb86SFLcfZE+t44I66Sv9EzWSYgU9mw9Zg9aXv4
 hR1AipukILfoEdA48wmp/SvTq76q7rps49m5T8R0=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([178.6.28.204]) by smtp.web.de (mrweb105
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1Myf3v-1o0iLc2Khp-00z1hT; Wed, 11
 May 2022 02:02:57 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN> <875ymdk2sm.fsf@HIDDEN>
Date: Wed, 11 May 2022 02:02:56 +0200
In-Reply-To: <875ymdk2sm.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 14:08:57 +0200")
Message-ID: <87ee11ylzj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YLNEYeEPrtjB+udQiNWwc6yEebXb0dMwUMbjZ2eSHnEw4NV1HBc
 DlAg8Ae4jK5XnG1heI3h2Bfj1JMnUlso+dPhNFh/JMtroQYksfiTx0aqEkAJHsFbbzhEhR/
 kKxMOREiYE8Y0tKIhpTWHfuiD5+BmGfsxI31NkgoVWNlOPSimfHxsLyK0mkaQNpPTt1/KDz
 KGlGKCQOQvaEuCkr3At5Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QF/0wWzTths=:gqzSnD3QViuF6fOhuTH1En
 QbSrrF9rY8klsIn3kO3j4PEmlz4XykCuWQIvDe7sRqI53TL/g0d0E4wsJEblhTmuCDjPZZSLq
 pznKRStdOfG+H+gB7zC+gDzUJtqy5WYuL2aEksqhYHpd6TKNo0Ke2Pv9XVwBhZFbdnV9Jrp2B
 Q2/QyNhEifYaLnDYAR8T59jMY0JkTkvl6Bt+/3khnA8r/m3IQkU1ZNDVNh49A7TMOe1rWhGbe
 /lw/LSU9m+X2wezXsk80NfbiR5T3SwvrT0y2tFy3GMKHjDtY1SGhvHVNeQ3YAgkS5KfhoNBGX
 wBIoKlaIJcUHPWaU2Qc10MUFC7XzUx9FxRma7aJrDL0C+5tkvGv0T/MXlQCAj6KJYF6lOO6zA
 lqGuvqk/YayHGfaE4JIclJ3+e2GEuZgPurrrbYcP+W++Zfsfh8HjLwu+K1D2wABcVQqFIRTCv
 8ruS8A/zAiBiIYuPKoVxsuXexgQloLBi3uxG7/WzPIBymzWJ2q+1aEnwdaJFfr90mE0aw99MA
 Fqn85Dg2I6rAlKW7Uv/8bAybugyyeeOO1GRICfH6ZpU/Y2LRy0GHif/51Vto7fx961ZKpaIBl
 BWLFR+2J3gjm9J1Ck0F5UJSRbDYOqMHYnm3HFhmhycBWo/U75r4U12xaR8awGVx+E0LnOucPa
 b5+Qw/S5EKB4XZudpSQdzrluI9fHK9xe39Zo1YRosROf9iMC/5RjjMe3Qlr7iM9vwsWdh0Nqi
 uFtB1auOPNqt/jRuEuiMI9hW5wCF9w6NgQVtSyNbZ4scdlVX7rHQoQg3Li+/gRu+W3iVUaBra
 g6mMpQf8VadE9kavnFtmwngX0WWYMIHzvSxqCChn9juzp/lYb/TFQi4cB/wcy2mNorgZZjm+i
 Vv1WBOJe//PyNX0S4xsG1fV0SToSBHIXB+AMOomvc+jFDZ4MDOQeYGKWk+XISskbz5zpOz77g
 ibv52m70O2mKN6pjtaFK6jgccgSDV6m1NjLFuGJxAldKanCAp/PNhwaq6QfqtRliOeLNC0IUF
 F/R1Z78w6+iAEU92wnGJfYAc3jzHtoLFVb2DYNaZ+HT3coi8AFdjx0jBr7RO0644LJVswuM4P
 jPjTIyBF9R4XfGzimSXN+PnDLoU2HHi+ncDY9I4Sa3GpqpfdCxym3Q2CQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I wouldn't mind making that bit bold, but it is somewhat unusual for
> modes to do that.  On the other and, there isn't really a lot of other
> info in that mode line, so it wouldn't be distracting, either:
> [screenshot]

I can only speak for me.  When looking at the mode line I want to see
the diff numbers in nearly all cases, and I don't want distractions when
using Ediff, so I made them outstanding (red).

> > 2. What's the "Quick Help" part for?  I don't see any use for it.  It
> > seems to be always present, but it doesn't indicate anything, and I
> > cannot click on it.  Also, if I didn't hit ? in the control buffer, the
> > only content of this buffer already is "Type ? for help".
>
> The "Quick Help" bit has a popup that says what mouse-2 and mouse-3
> does, which seems somewhat helpful.

But that's the same mouse tooltip as the rest of the mode-line of the
control buffer has.

Those mouse bindings are not "Quick Help" nor Ediff specific, they are
the very basic bindings from mouse.el:

(global-set-key [mode-line mouse-1] #'mouse-select-window)
(global-set-key [mode-line mouse-2] #'mouse-delete-other-windows)
(global-set-key [mode-line mouse-3] #'mouse-delete-window)

No problem about the tooltip - but that doesn't explain why "Quick Help"
is displayed.

The "quick help" is what you get when you hit `?`.  Look: Without the

  (setq ediff-window-setup-function 'ediff-setup-windows-plain)

setting, the control frame doesn't display a mode-line, but after
hitting `?` it does, and the "Quick Help" info gets visible.  My
interpretation is that 'ediff-setup-windows-plain has been added later,
after quick help, and the "Quick Help" string was never intended to be
visible all the time.  Plausible?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12840 <at> debbugs.gnu.org:


Received: (at 12840) by debbugs.gnu.org; 10 May 2022 12:09:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:09:09 2022
Received: from localhost ([127.0.0.1]:60520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noOft-0003Rk-0u
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:09:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noOfr-0003RB-Js
 for 12840 <at> debbugs.gnu.org; Tue, 10 May 2022 08:09:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/rsMuwbvlZAGneI7WT9aySWAica3HM94Ttng3btcpzA=; b=UE91Wp50adzGFC7WeptOLLTPDY
 7BbXiQFuQL2j7nmrpbAUe8zaWhqJm5GfyUlZr1ewM/7D0yh6/oXWO1mie0GNYZ3N2z6AWFyGLN/Ce
 vxOtFpHZq3v+Me9UEieC5Wz8QTwDOJQCuxjCRi/jG//Z8gMgOlbd5P0cH1M2/hCzFl0g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noOfi-0003Aw-SP; Tue, 10 May 2022 14:09:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#12840: 24.2.50; ediff: mode-line of control buffer -
 improvement request
References: <87mwys0zrv.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _The Hissing Of Summer Lawns_: "Edith And The
 Kingpin"
Date: Tue, 10 May 2022 14:08:57 +0200
In-Reply-To: <87mwys0zrv.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 08
 Nov 2012 18:29:08 +0100")
Message-ID: <875ymdk2sm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > 1.
 It would be much more convenient if the "diff ... of ..." part would > be
 highlighted somehow, so that it is more visible. It is an extremely > relevant
 information, and can now be recognized ver [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 12840
Cc: 12840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> 1.  It would be much more convenient if the "diff ... of ..." part would
> be highlighted somehow, so that it is more visible.  It is an extremely
> relevant information, and can now be recognized very badly.
>
> The function to change would probably be
> `ediff-make-wide-control-buffer-id'.  I tested with this, for example:

[...]

>                             'face 'mode-line-buffer-id))))

I wouldn't mind making that bit bold, but it is somewhat unusual for
modes to do that.  On the other and, there isn't really a lot of other
info in that mode line, so it wouldn't be distracting, either:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAB1UAAAA+CAIAAAD8n9UXAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABmJLR0QA/wD/AP+gvaeTAAAA
EGNhTnYAAA8AAAAJYAAAB3MAAAdVUuOgLwAAMedJREFUeNrt3XdAlOUfAPDnuck6piBLNoLgAFnu
VZkrTfPn1krNnGVamiPN1DJn7jIzLdOy0jJLxYWDY6iAIBtlyJ4Hx7r5/P64QwHvTjjvjveO7+ev
kuPl3md8n/G+z/Ngny609HJpTU0NUoTD4SAAAAAAAAAAAAAAAAAA6uLz+Qr/feDAgVr9u0lJSVg2
/ysWi6uqqkQiEWQGAAAAAAAAAAAAAAAA6DUmk2lqampiYsKQ/X9lZWVycjKkCwAAAAAAAAAAAAAA
ABiAuLg4hBBN9j9isRhSBAAAAAAAAAAAAAAAAAxDYWEhejr/CwAAAAAAAAAAAAAAAMDAwPwvAAAA
AAAAAAAAAAAAGCaY/wUAAAAAAAAAAAAAAADDBPO/AAAAAAAAAAAAAAAAYJgYnfO2RXW8WgGhG5ub
G9OhEAAAgGZBjAUAAAAAAAAAACiic87/iu4fmLP2Ur3HO0e+e9uDUpMTpOL8x9P3xIkQwuxhn/+z
cQjzxb8jjv9m2sq/KwhCDO95R7+d5aruS92kIT/24vnLd+LTcgorahpEUkIIQgghZtiq378abYF1
dhENEPPz01MycwvLquuEUqaxmYWts5tXdy9HTid95NFB6q6sm/QlV6jgJ3TXmQd/mO8Dc4OGmTvU
jbEAgDajSoNO3QSCPhsAOiHi5aY+TM8uquA3ShkmFrbOnn49uzuYdlD/QmO1uN3JEP31W2sv8QlC
NLtJu39Z1qeTD2pglAEAAO0Ek2FtIrixcfwXt4TtSNeAD37ZPdFOjzrO4sKr21fvvJovIB19kZfN
q5L7F07/+tfVuII6aauvgRkcp16DXh//1vjBnub60SUQZ984fTNXghCiOw2c8po3GyqjxmsxxpjG
YBtzrGwdXDx9e4UMGjG4j4MxDHqBBtXf3jJ947UaeUSiO0/b/+P7PdrV/BpYKIDb0Ye76tAGnYhq
CrNSU1NTU1JSU1NTHxXVighBCNGcpu47vtC/03deDabPBsALQkFD3u3TR4//xc3hS1oUVMzq4vfK
lHlzJwZ2gcGsTnOk8Myytw8nixFC2OSVL/5aP0jZcy9S/Ofy2QcSxQghxBqy4fym4TCKAQCADsZI
L5dCKgBp/rmvdzWNATBmm9vbdzFj0+VzYEwnCwbW0UVeSsPjf/dsPnQ1p17xWIaI+fnxF394cL9K
b56Zi7NvnDxxW4gQYobavfGqN1vPpiUZDgEjXjURP8sCXgb3fl4DpcaahBCJqLG2sqi2sig7Oebq
2R8PeY+cu2LRGz4cA58E1ofcMQwNCZH3+c/SVVIUFfl4fo/u7XkIpe+hAG5H33Rcg0543IPrD1/N
LKgREohGWsydju+zAfCiQloWuX/Nl38/UtStJ8Ly5IuHP4mJnrv5i+l+plBaOyPoxwIAQDsZ/iNT
acGFXT9WDZk3JcxB9VNHUvvoyk+/ZAcuX9DfvLP1IiSZly4kNxKEEGZ5jF+/eeEgRyPcIRdRH6lP
Pblm9Y+JTbMsmGHh0iugp4eDpRFqqK4ozk5OTC+qFUOfQKfYPf+3umez/xcnHZwdR/GeGZFUZ1z8
Znl67qZdS0MtDTkWaCh3IMa+iCAp8m5182SV5Edxc9/tDjtjAMrqyAa9sSgzPb9aDJmg3dzp4D4b
AC/UkPzjus1/P2p6RGHctWdYiK+TBbOxIjsx5l5WpYggIqmMO7pui8XBLWMdoUXtfPRxlAEAAB3K
0Od/CS/i6A8XI3gXIy/3n7ZkybT+joomKAg/K/z4/u/PJ1VI6DF2g4IW+rOUp1jvBYfWvfqiWSHM
4tjoqh9N95q0YedgEUGIZurUVZ0tqEh1RlqRRPa9g6bMVW8MoJGLqJ/R5Td2bjieJJv8xexuw+Z9
tGhCoG2LfJTUPLpz/rdTf9zgQcXv5JiBH/z81VirphJKRA3V5U8yEu7898f56PwGghAijY/PfbXL
58gXI21hQKy66mk8xhoc4cPI2CqCEMKcgCDH5PvpIiLJi4rKn+Ohsy0DAWhnve7QBr0JZnDsPX39
/Px8rXPP/hhRZBjL1aDPBkBbiNJP7/k1Sz75y/Gf9tnGuSG2T4etjbnh32zYFZ4nJIjwYr7bfznk
yzG623Xv5WsxAAAA0BEMff4XW/Sbu/IddOz3Wznc4+vuX+k/bfGS6QNsn32A8DMvH9///fmHlWLE
sPEfO/O9yd1VTkxgppmNra01hfrJmOPSu6/Ly1yB1FQ3bUzJsbMzwR13EXVvoOrGwf0R5VKCEMJs
j0lbdy8Jev7UErq559BZaweNHnMlzQo6a50bjcFksVhPiwiLZWdqYefac9Droy58uWrPnTIpQYjw
on4+mzaindu0djqaj7GGRpTKjakkCCFsHDD6ne4NCenpYiR+HBlVON3VGSIRoKSObNCRsfvQGYtG
+fj5+Xm7WLIxQkia/XP4iQhkGPO/0GcDoA0FlHfr1F+PZYv2sPXQ5ZveC2nxXo2R68iPN1UWLDry
sJEgwr97+s+U1xb5M3X07V6+FgMAAAAdweBnNrBJt0FzNvYfnxZ+6uhP5+O4J9bfDw+bFCaQIIQa
ssP3Lgu/mFIlQaauQ2fPmzd5YDcd9YGJoCIr6UF6TgmvkbAtHTz8Avt4WHZcZkibTkrDNBru0Iuo
RZR65sRt2fJqzPKeseb9IBVHVtNtAkYNbEP+ZKekZOQVVfIFhGFiYevo7tPTx5mjThZJavNTEh5m
FVTUiekm1s7d+/T1d+zwoRZpKElPTMrIK+MLMdvctpt3r94+dqrPPNNkmlCWkdvYTz5IStkQXkEQ
QpKiO7ey5vfwpStJw4q8x9k5TwrKa+oahIRhZGZl5+zu08Ozq4k6ixBftpxIG0ofJadmPSmpqhMQ
pqm1vZtPL393a+1vRErRGEsZ4vTI6DIpQgiz/EKDfLxyHY+n50mQJJMbVTL1fw76mBoiXm5aalZu
UXl1nRAxjYzNLLs6ubh5ejqZ6zIaaLgCvlx4pA5NBeqOa9ARtug76d2+lEtW6LNRNRQAQ0Qqbl+K
qZUVUbr7uJlDFSyqZLhNmDHszLpLVQQhScG1iwlz/UP063wxMb8gMzUzp7CUVyeUMozNrR3cu/fo
7mLF6pzPYzqsH6uwBArKMhLi03LL+CK6ibWTV88Av26GNeIBAHRSnSSS0S19Ry/eOWLSvfMnjp66
EnP6L4IQQoU3fyvE7K59J789f+ZIX0sdbRwlqYj//dDBUzcfNz/IFjO79Hpj4Yr3Rpi9+ALi+G+m
r/y7XMHmRgzveUe/nfXCJcWEf3ndW9uiRAp+JC0999Fr51r/KzNs1e9fjW45p6qRi2hG/d3zl5/I
EhNbDJk1yfNlnv8Tfmb4z0dP/nuvoF7a8qBhhqXXkEnvzp/SX+kmp83ShDVg7dmtr9Fzr/+4/8jf
cSXNDtfG2MRl6DufrJjsr+B0MXHSwdnL/yhW9JKTKHbHxBE7FOT53CPfznZXmufi2O2TP71YTZ59
UpB/66eD3/8VU1BPWnwrx5Dx7y17d6gzS6NponcwJ+y1AdZX/pFNAJdkZdUQX6tmOUUaihIjb0Tc
4t5NSC/kP7+fNGZaew8cN+OdqUNclU10vnw5aUlQFHPuxM9nI1LKBS1OS8J0juuAifMWzBjkrP3s
oVKMpRRJFje6RIoQQnSvkL7WDNvgvja/5pVKiSQ9Krps8kQl61U1Hwo0gdRmhv/8w6n/7j2plbQu
+hizrT0C+g+fMH1qf0eG1m5HAxXw5cMjRXNHM41Xa7pu0KlXhaHPpsFQAECbkJp73CShrGwxPIYO
U7JbvnHfEQOtL1+oIAiRqrvcVHFIAENJsZd1t0wVVtF7u6asulBFEKJ7vnPku7cV/LGXrsWtr1ee
+O/pU+eu3M9r3Yxhmol9z0GjJk6dOMSDo1aTIS66sXPVtvB8IUEIc3q9vXXrnF5UP864g/ux0ien
l8w9kiZGCJuP/urPT/yyzh/e82N4ZnXzoM+27T167rL3XveE1RIAAL3WqRafsu2D/7d6764loVby
dx0ws9vodfu3Lxmts4kJYc7fGxZ9cuT6I37LLjMRlSee3frB2t+yBLBpfTs1JNyM4clSDVsPGhlq
pn7DLMy7uHnh0q9/j81vNX5GCBExL/P6sXXvLT8UW9GWPCJ1yT99smzLmfslLbOUkPrciMOr1vyS
IdB9Wkn5D46tWPz5qej8etL6WxXE/nFWtkxda2miHxhOLk9PESHVvOqWdyaIOrxq6/d/3U4u4Cs8
TJCIKjMiftr0/sJt4fki7ZcTYf61nYvnr/nucnJZy04zQohI+Dm3f9qw8MNDdyt1lD0UiLEUI3kc
yS2UIIQQ3SU4uCtGzB4hARyMECKiFG5MpR7VG0nxjW2Lln59Jibv+RkfhBAhgopHMRdO/J2o1ZNX
NF0Bm1EjPFJH5wvUOkpX6LNRNRQAgyZOS0yTT/9iC1//bspGqywff2/5y7LSyuSkfH3YI0ZUcGPP
4neW7z0bk6ugGSPS+qLE8B+/WLwjokGdhCsI37byS/nkr2Xg/O3bKD/5S7F+LKmJO7Jyxd6LGdWt
gr6g7MFf25d9cECvOm4AAPCczvRonvCzrp8+euxcbGGjPHQT0ZOLn8/LGDF9/ruTwhzZ2v8Cdw99
diCqTEIQQpjGcQkbMbyvp62RqDI38da1yKyqmoQfdhdaSF5wGZpNz1fGivhPOzmkIvlGbG5j25sj
zHIOHj3GStw8ZSLvZNQQhLCRa+hw/9arrBge3Z5bi6SRi2iCOCs+Sb6JHTbpFeSvdjYSHnfvp7sj
iuS7jRk79BkyLMzHyZzRUJ6TFHmDm1klJojUpf2x6TOz3Xvm+Kj8Q1J+zOHNN5P5iG3nP2BQkGdX
U1pdcXrMzciMSjFBiNSnnNz319B9U1v1aWlWfsPHjKl+1oGVFMVdiS+WIoRotr1HhDz/ci6tq5d5
W5NVWn5t51cnU/gEIcyydPHxcbe3ZJPG6tK8zPScSkWjWI2miR6FihZvHyirRpht7e7Xq2cPT6cu
lhwTuri2oiDrAfdOXH6tlBDBkys71hhbHvwwVGX2qFlOnpaO8C9Xbr9VKn/5nW3nN2BImL+LjZG0
tjT7wZ2ImOxqCSF16X98vsF8z65Z3XUQ4jo4xlKOJJcblS+R1dSgEBc6QojdK7S38ZXb9YQIH0bG
8saNtlJUQrQbCtS6kz+/3HElX0gQQphh6dlv2MA+Xk42ZiwiqOWVPclKeXA/Lr1MWTukhdvRSAVU
MzxSLXdePlBTpkGnVksAfTaNhwIA2kJakp0t3/wBMdy83ZQ+P8amHp72tOhcCUJIkv8oR4DcjLXx
hV66FjcRF1zc/NGuO2Xyfhud0y1wQP8+3Z1tTJmkkVeSl/EgJjqpsF5KCGn/xYV5/21dted2iZgg
TLMOWbTt88neWkkOzaFcP1YQd+zr8uIGgo0dAoaOCPV14BB+YVr09ZuJxY0EkYZH57ZscTiwfbIr
rG0AAOipThK+BEWx5348evp6Vo0Um3uPnhtaeeKXmEbn1+cOr714hnv1yJpbfwWMmzN/1ut+VtpL
EUHST/suFIjlZ5RN2PDVkgF2TX9t0syZiSc2rv8psbSk4kXXobm8unDlq8/+Xxz/TWxsbmM7vgnb
f9JH/s3+X/r4p8yojBoxQti877QVHwQwdHWRl0cqMzPL5D0yerfuXkbqXqfu7g/7LsnGz5jZbeSq
rR+92u1pP2Py7HdSf9u87sjdKoJIfdove84MOjDbQ8UdSh7euImYLqPXbvlwxLNFS++8m3hs9Zpf
UusJIoK0C/+lv9XqcDGa8/AFK4c3+4fG6xtuxBcLEUJ099eXfDzGUv0RN2mIP/lDUhVi2AVPW7x4
ymD3ZgvLSH1+7IWfjsVjbaaJvhAV5BU1DeixheXzy1+xmfuQCZMnjBoW6Nx6FdisBQuTTm5cd/wB
nxBx/oX9v7x2TOV5JGqWE9n3fPTrlj3yTjM29Z20+rP3BjebYZ3y9tzk3zZ/dvR+lZTUp/y867f+
B+d4ajG8USHGUo40P4qbK0EIIWzVN9SbISs+ASF+zDv3hIQIkiLv1owaqWiFtTZDgTqED879kdwg
O8XOd8a27fN6P/dGEanPv3/pzK/Zisq7Rm9HgxVQzfBIrdzRSKCmSINOKdBn00IoAKAtpMUFJfJ+
GDay6aLi6RnNxs6GhnIlCCEiKikskyIXbaxsfflaLKs+mac275VP/mJjj1HL1iwe5dVq1eKSmsxr
Jw99d6G9rYgg5/wXn+yLKpcQhOm2/Zd9vWGCO9UfulOrH4sQQkRQWizAdPthK7etHu36dEg5ddaU
f778dG9kmZSQ2oTjhy4N2TbODraBAADoJYPf/0HCS/3vwIo573z63ZWsOjOfsR/uO3Fo1Zv+VjSE
EMuh35wtPxz7au5gJ3pZ/NldS2fP33jidm69ykeuRFRbUfYC5VX14ud+ryrit4sFsjaO7ffOhmYD
CYQQwpa9396wdFCn2E1PsxlclF8kn/7FTHtHWzVLNCm+fPpKqRQhhDC7x9ufr2w2fkYIIczpMfWz
T8c60BBCiAgzzv0aXauqnBCCjHrO27RiRIsdqzCn95wP3nSRvcggKb5/X5dL1ST5DxLLscOr6/Zv
mzfUveWuYtjEOWzK2oMbRnfB2ksT/UCqoy9xmxZ30bt6ebYa2zL95xw8eXTT/DF9nRVtAUaz6DV7
7YJg2Y8khTeuPBQjrZQTUnLx21OpjbJXsLpN+Hz7ksGtXq+lmftP27h2nD0dI0SEmedOc/layR6N
x1jDIS2M4j6WTf+aBYT6yV8KxdZ9g73pCCFEGhK49/Wi0khy4x9UymKBxdC3Z/VWtJwUmzgHT1qx
c+UrWl1rqtkKqH54pFDI6pSBWgfpCn02aocCYMgaKyvq5GGKZmljpaJnj81trJnygiatLK+k8gYQ
pOjfw79mCGT9NuexG3Z9Mtrr+S3raObery3e+e3W8e7tmOlszDq78eO9sslfhv3Qlbs26mjylwhr
ylWMhytrVezDRJ1+bMsiRXeZtHZVs8lfhBA29nhj9apx9rJ2tO7+73+nixEAAOglQ3+lg9Ql/338
XHw5tvAdN3fZvHF+ljSEUPPWiOUQNvuLwNdizxw6cOpO7u1ffnLr3+/d7spfWxAnHlkw9Yjqv0rv
NuPAj+/5Nl+vRKq41+/LZj2w5dDpbyhYOIJtRswcd4r7S65EjxK4w4mrKps2aMUca3X3GCWFt68/
lG01hq2Hz5rooaAAYE7IrP/1ubI/XkAQ4UVdu1s7cLjy0Q22Hj5zvIJcZnoPHuj4W+4TiWypmhC5
GekusWhdx6z4cKidskRiGBtrNU30IF7UP/57+74bVU3DDoeBg7xbpRa9q5en6otgu2GvBx26d7uB
IGlVVkYJCXRSniTqlhNx5j9n42UBhWY7aul7wQqTHZsFzZjS+/K+eAEh1VFXovmDX9P4InTNx1iD
QUqiuRny+aNeIb2f1i5sHxTkQk9+LEGkPi4yvmHEEBPK30plhXxYTbO2s+3IvNNwBVQ3PFIoazph
oNZJukKfjeKhABhyMavl1zVN5GJjE2NV0QobGRsjVN/0axR+uCVO/+ecfFNsmt2oZQvDVCwUoXcJ
DO7S1tSqTz+z4dMjcTwpQZjp9Mrq7atf0dXJi6Th9o4Zt9VMD8r0Y1sVqL6Tp/Y0VvRFpk30v3g4
SUSQJD/ievq7vv6wBwQAQA8Z+vu/2HzAvMXT/7fiwImDK8fLJiYUYdmHzvrihx+/XjBx7tKpWpmY
aEyOT5EP0cz6DgxUeAItYngN7O/QOU9JUhdprHt62g02NlHzUFZSnRiXJd98yiJ4SKCS2RhsN3CI
HwMjhBCpS4xT9fAXmwUOCFA4s0t3cXehy64hqqzg6bCrihk+E6b0NcUdlSZUKjZSUWPDM/X8qpLs
xFtnD366YMk+boW8QGHzfjMm+anTuzN2cesqizXS8rIKVXMD6pYTyaNbt2XbyiK626gJQUrnD7Fd
/4E+8ndNk+JSRZpPS8rEWOqVsrJobrps+pfRIySw2YiF7hYSZCd7jaT2fmR8gx7cDIslf3tZWpqT
Q/X3t9teAZuV43aFRwqVMkMO1B0J+myGEAqAniLCxmcn3zKZDJWBmclq+jkRCwTUfRojybp9p1De
b3MfPTFYM80NqUv5Ze2q7+7zpARhtsuodbs+1dnk70umB3X6sS3+GtNvUD9rhXmDu/Yf4CUL+NLS
BwkF+nDYIAAAPMfwH11h22HzF7fpk8yuIdOXhWjnW0gKs7LlJyHTXX2UbsdP9/Drzsb50KVuR8qK
n52eS6er+TxDkpeVI5JdhuHpr/x4AWzj62tPi38iQYjUZD8uI8GOSvpvdCcPVyVzXEwzDhshIUII
NdQ3EuUHjGka3b1/P0dax6UJhYjj988cu19l3GC7vrF65Sj1tveimZrJO/akvq5eZZ6oV05IeXKS
fBhBswsKdVMxAYFtPD2taYmlUkTqch6XSMO6afyhHzViLOWQyhhuiqwK0T2D+7bYO4DhHdzX8o9/
KwkiNXcjEwUDwyi+Sx/dxcOVicuFBJE67tGdfzl89IafJWW7D22vgM3usF3hkToMOlB3ZLpCn80Q
QgHQ2woofTa3RmeqLmAM5rNelFRC2Tk5UpHyUH62BN0hJNRVE80N4Sed2LDup4d8ghBmu72xYceH
A7roSTtGrX7sMzR7n+5WWPnPLHBqBUFI8iQrW4hcjRAAAOgb6LW1FzNoxa873rBu58hJWlYqP6QM
s+0dbZT+NsPe0Y6GcmAHiDajM569GCBRt+MnLCuVL/nHHEdHFRv60eydHWjoiQQhJC0rLpUgZU/Z
McfcTMllMIMh/yUilUp1N2zExu5e7Zjf0Hya6AtM43i88s6KpRP9VKwxk9bm3b8Zwb2flJGdX1TO
q20QiKWKTmuWiMSqsljNciIpyC2QyD/l4tFN5ftnNEsrCxoqlSIkrSyrkKJuBr/pOzUQXmykfFk+
3Sko2KllsrN7hvQx/e9GLUGEdzcySRgWzKJ2pbAeNDL0aNwdPkFEXHxr39Kon90Dw0L79u7l18PH
28XGSNelSkMV8NkNti88UkfnDdRaLmDQZ9OTUAAMEp32rCBJxKrrl1jUtJ4BYwaTsu/jSwryCpv6
be5eri//PUljyk+rLydkNm15IRFK6SxdP9bDJq988df6QcrWdJHiP5fPPpAoVpge1OzH0uydHJRe
nt7V0Z6OKsQIEVFpSYUUOUHAAwDoHRUDAML779MpO2IVL7TA1uO2/7Yy+IXjB41cxACIavkCeQtt
YmaivLmgmXL0bwFqR8JGJsY0jBBBCJGGevXewiG1NbXyCbZnL44p/nMmZqZ0jERE9kvK/xpmspgU
y0iala01vSPThLqFCNPoLCMzS1uHbp6+vYMHDh+q+GgpOWlV4pl9u0/ezKsjL75ZqerPqFlOxLwq
vjyfhDFfTxjxddvyVPYeMdAFUnP3TpIs6NNsgkI8Wlc94z4h/qyIGAFBpDKGmywKDqT2nhjY+tVl
H9199OW1IjFBCBFR1ePYS49jL/2KEKYb27j16BM08NWxr4e5aL8B02QFfKp94ZFC5awTBWqdgj6b
HoQCYLiljGX0bC2DSChSuVJOJBI1xTM6i0XZ+ThJNU/eb0Nm1tYaeOJLatLia5r9r7jwv537gr5d
N8xGL6oeRfuxmGZqpmK/aZOnzSypreFDOwoA0Eed8wUQZr/V56+v1uEfJBKxpGmTWiZLVbOv+qfg
+RJsZW2OURlBCBF+VbVErTItET99OM1iq8wAzGIxEWpECBGxRKxXTT9msdrzZoBBp4l6b/EjhBCp
uL1z+eZL+fLhBsYsCycPD5euVmZsBm66HmnIjb2dpr29nYlIJCJqXL35ikptp7CuYyzFkNr7kQ9k
y8exed8Q3+eiErboG+rDiE0UESQtj+amLQ7sRfHWmGY3fM0hu57HjpwKTyoVNCt+RNJQ/iju2qO4
62dP95297rPZARbaG31qqwK2MzxSR6dovDqgAkOfjeqhABgybMYxbZrIJQ0NDariFWlsaHz6a2bU
fewgFjb12zCLpbHmHtNsQmZPML14PKJUSqTl1/fuDvLZPNqB+m+lUrYfy2KqeCsDs56+s0FEImhH
AQB6CRYA6gRmPD2+gIiEQhWfVP1T8By6QzcHGiqTIoSIqKiwTIqc29/voTOeVgShQGUGEKFQ1JSn
dIZ+DW0whjR5SaTi6t5d8rknbOo1at6i2aMCHZ57VYAUnlnGTeNp7YglzGQ09UAxx2vgoO5tOwwZ
s/27wlI13aiPuyM/1hoR3qU1oy6p+rC0NJqb+X6vHpRvjmmW/hNW7H1jQcHDe/cSUtIy0lKT0/Oq
hU1jOCIuv3983Qajg7umuGnnXrRYAbGeRi4I1FoBfTaKhwJg4IysbUwxEhKEkJRXUSVFSNn6DFJT
WSmUFzyadRdrynZyGCwmlq1WJEKhZrqHmNF1yEdfrx3jIvAvz1j7T4GYEF7UoR1n/bZPdqV6xaNs
P1b47HVyBaVNKGz6KWYwoB0FAOglFQ0EthzzdfiYl7y+Ri5iAJhmHGN5V6a+tl75w0tpHR/WZbav
hNl4esmOBUBI8iQ9qxE5m7T7GmYcU/kmEtK6WlUZQOpr6+RvBWEzpTu3GkS6QpooqJ5PLp+NqiEI
IcxwfWvLnsUBim9XWl/XoNVqzLC0NMOokiCEzYOmr1joB0NsaqlPiIxrRySXFEVxs+f38NaPDQho
Zk69hzn1HjYBIUSElVn3Ii7/9ceFe0UCghAi9Umnfo4cvX4oRwuRgDIVkDogUGsJ9NkoHQqAwZct
e8eudFQlRgiRxvJyPkHKFmzJNoRFCCGEmXb2NupMDhKhDh7j0C0sOQgJEEKotqJS+PIvYGGzoKW7
1o9xYiDECn5/1cTEj//IERFSm/DDtlN9vpnjTfFTZSnajyXSutp6gpStB6qva9puGcN+jQAAPQVv
g+kone3s7WRjeyIoLqxQOlwQFxWWUfbwWmpieAf0enrWe9L9FIEa12DZdZWf9kr4hUXVykdz0uL8
Inn+0Gy72urjfpEdniZP12jrXZKQmqSExxKCEMKswMnT+yidQhEXF5ZqtRrTnVyc5PGkqqRUpMEr
62/uUIkgKfJejWzzB0xjMJVj0GQJLsmP4ubq4xFSmGXtPWDS0u3HDi0Lkw/PSc396GSRNv4YdSog
hUDjpR3QZ6NyKACGXwG7erg3RXhxTpbyExZJffajpshGd/b2MGpVLmm0prUdzTZ1aX2NRj5fqPVO
D93RxVEeU0Q5WRpo8LGJi1tXRtN/9563epoXGyOESGP6ya9+TKyneBZTtR8rLSooVhrTJSUFJfJD
6+i2djYwhwIA0EcQu3SUzo5e7vJFqpLc9KwGJR8TP0rNgBOa2smk79BQ+QsmpDIy/K4aL+PQXbzc
5AuRxI+SM5ROIZOK1FR5vwBz3D3ttP/ot1nfVSzW6fyQdtIEM5tW1ZLGBoGeFXVpeWmFbPiArV1d
la9VE6c/SK7X7gEVtv7+9nRZMqYmpmuq46zXuUMhgqQ7sbLNZzEz8IPTl8OV+W/HeFtZGyzJ5Ubl
S6kZCtrCyGPCksk+spEoqS8teeGxKOrcDnUqIIVyh7qNl36DPpuuQgEAijB8e/vK38Ek1anJSptH
UfrDDPncLbbo0cOp9aiWaWTc1K2p5dcqvoYk73Ge9sM27uLn7yCb8JQWxcbkaPovsn1nr57tZ4wR
QkSU8+f2b2OpXfmo2o+VlqSlVyn5PWlxeqb8ZAGas6c7xd+wBgAAxWD+V0dYfn17GmGEECK18ZEJ
ip/LirMio4rgVZL2Mg0d/5r8sAPCu3ny7KN2dyOwea9AT7ose6rv3YpX8ticlETeSpXt949NegX6
6GCxEt3E1Fj2X1JeZbUuy4Z20oRm1aXpZTVefr6+rZt9OmVCGuqVri8ndXcv3ijWclbRvQcPkg0k
pKU3/oms1kxC6nfuUIYoJTJWPnqge4UEqThmkNGjX5B8GlP8ODKqUErJUNDGymFh+fSsJ0x74eyi
WrdDnQpIndyhbuOl56DPpqNQAIDCYmQe3L8nq6l5jIjIVjxd2hh/gyt/PR9bhg7oyWz9AZpNU7dG
UpCdp3CXB0l2dKwumgy61+CB8jeAJTkXz96r03Qfi+k5ddW8AFOMECLign937r1ZQeVuHEX7sUSU
cidaccKRkuioTFlBpHXpE+ACy2gAAHoJ5n91BFuEjQiWbVNAqiJ+vZD3/Ob/pPz6yX/z9HENcEdj
95o6q5/sFWAizDj11ZE4VatgqxLDuXmtuno0pyEj/GQ9TVJ54+S5xwqmkAn/7i+/J8qeJmOLfq+G
6GIHRZqDs738fYH8hIQyXXbltJIm2Ma7excaQggRUdL1m6V6NcVI62JvK3uvgNQk3ktXOJAg/Phj
312t1Pp9MXq8MVE2O0GqIw7vv/nCJciC0tzCF4029Dp3KEOcGhlTLssOuktwsMpzuNk9QwPku9dI
MrnRJYSSoQAhJKmueMFxag3JiVmyT2BzJ8cXnuSizu1QqQJSJ3co23jpOeiz6SgUAKC4BtoMGR0q
j1SS7Aunbyt4J1P85MLpCHm4pzmMGBXw/AuZ9G4erkz5A7K7N+8/3wsiFREnL+hm+yWG7xtv9pI9
VZKWhR84HF2l4qAxXkpibrtPiWO4TPxkYaiF/E9c37v7UjGFn09RtB9LBPG//5b0/CM/Uhf327mH
suPfaA5DhsPBGwAAPQXzv+1FRLUVZS9Wzmto2ZBhy8FTx3ajY4QQETw8tvlwdFnzlp3wEo9/sZ9b
DTMu6sC2ry9d1N9S1sUTPP5z3Ydb/3xQ3noYTOpyub9uXzrv4x/uV7XuZWD716ePkC3FJoLUE5t2
X8tvsZCW8NPObNn2r+xNH8z0nDC1v04ONaE59O4tO+uWCBN/2fNbMk93g02tpAnDd+hg2YwYaYj7
YfMRboH+HNSEzQNCfGQDCWnBP/uO3mtdjIRF3G9XbzyXK0EYa7t0YMdxi6Z6szFCRFp6/avlm35P
rFA0VpDWF8RfPv7lohlztlwteVFS63PuUIU4gxtTIisYNLugEDfVL4iYBPTrxZYFLkk6N1rFxGFH
hgJE6qN2zpm1Ys+Z2+kViqZdBQXX9h6Sz7pi634DXjwuUud2KFUBqZM7VG28XoqQX1HeokvFqxc3
VQ5JPa/Fz8or+No4uwn6bLoJBQAoq4FDZr7pLn/kV3F9z+fH4yubx1VB/vVvNhxNlO31g037Tn2r
l4L1+NisT3AP+QRw5dXDh+6UNq/G4op7Rzd+c7taR00Gdhy3aFp32Sa94vz/Nq/ccTHr+TdUSUM+
96f1S1b9kaXGngg0h7Erlw6WLTsivKhD28+1fxZZd1lMzX4skTw59+WO/3Iam/9jY86/27dfkLej
Jn0mT/RnQh0FAOgn6Jq1lzjxyIKpR16csP6LTuyf4ti8Q8H2m7nsjcg1f+eLCRFknVs3L77fq8P6
etiyhZV5Sbeu3smsEiOmnb15eXGF0megguQ/9/+T2bJ5JJUp8j2tJCW3jn6d3/JAUppp4JQlr7sZ
+kQ/zWHUpxvzP1l3Or2eINKYe+3ARzdPuvYO6OnpaMUmDfzKkpy0xJS8ahFBiGan4ALYLOy9D0Ym
fH65SEyIKO/S1gUPLgwZHubraMFoLM9JunMjMrNSvnrWqPv0FdO8dVR1GD3Gjvc7/+3DRoJIZex3
y6b+1s3Lw8GyaUMzRHN8demiYdrZzFEracL0n/Lu4Gtbb1YSRPjJv66ffdbMxobTdNQu3fnNL776
H1WLK7YfOe2VMw8vlkoRacz8Y83chEEjRwR523NogurSnKSoiDtJxY0Es71fG4SuX8vUcqeb5TPr
sw8efbQ7slxChIW3Di2POeMT0i/Iz8PB2pQuquNXleU9Skt5mJJdKSAEIYaXgecONUgecaPlC8Kx
VVBI9xfUCWzRN6wHMzpeSBARpXBjK98cZ4OpFwoQQqSxJP784fh/jnCc/Pr09vf1dLa1MjNCAl5x
dnJ0xK2kYtkuqJgT/PaMEGPtRDZqVUDDDtQdSxSzd/bGa4pH7dLif9ZP/6f5/XNGbv1zTX/ND8ah
z6aTUACAEkyf6SumRq88lSkgiNQk/rxy9vWAAaE9nMwZjRXZD6Ji0subdv41D16wfKyDwviK7YaP
63f8wa0agog4/+LGeQ9Dhgzw72ZBb6jITYqKTCisR5YDRvqkhEfzdFCLWd1nrv/w0Ypdd8okhDRk
X9yx8PavgYMGBHg7dzFjShury/Kzku7GJORWiwlrkHqphm1fWb78btrn4aVSRGoTjm471fubOd4U
3aqWev1YzLazMykvKYnYuSj96vARYT6OHFRbmB59/UZCUWPTFkpzlo1zgJUNAAB9BfO/OoQ5wYs2
LytbtZ9bJiZEys/mnsvmNvsxtgxa8HFo1LpDyscSooK4K5e5yt51ITWZd8IzW/1Ra+aIRYY//4sQ
5gTM37nLesfW72/nCwhCRMzLiYvIiWv7BawGLv/yw4a1+24ViQgiDUUJl08lXG79IROvN9dtfruH
kc7ui+Yy6dMVWZ/uuiq7KyEvLyUur1kN9vZ5lzTbGFPDiaqFNMFdRqz8vKB6w4kHPClBhAj55UX8
ph/SmdVCCr9PhTn9Fq+bmbvuZEotQUTMy4w4kxnR8hNs55GfbppV9uX1a9r/OgznMZ/tYe/ftOff
R3WEEEF52p0LaXeUfnnchiigz7lDBZJsblS+/HRos4AQf9YLE9wmOMyLHp8iRogIH96J5Y0dbYUp
GAqaEAk/P+lOfpKiYoZp5v4zPl83zrFNzY06t0OxCkiZ3KFo46X3oM+mk1AAgDLG/nO3rOOv2fbP
43qCCKnPj7+aH9+6sFn0envLhjeclK21wZbDF75/PWknt4ogREhtXux/ebHPfmrkMWnNR6G3FoQr
/xYarcUM59Hrd7MPbNp94VEdIURSm3fvUt69S89/bfVfScZWg5auHPtw7YVCCSGN6Se3HQ/Y/35v
E2pmMeX6sezAuR+b/vrFuezGoviLv8RfbHVtI/fx6zZMcYfZEwCA/oLOmW6x3MZvOrx9wQhPDr3l
e03MLr0nrd+75S0POE5UfdjM961N3//w1ftjAhxMFBw7ghkc58BRcz/bOqen4qab7TZu43f7P5kU
7PT8r2OGhefQt7/47sAHA2x1W20YTq+t/f7Y9uXTR4b6drPlGDFoulzbrIU0wZxec3Ye2//JzFcC
Pew4LBrWo8fo2Kz33N2HNkwLczZp/bUx2673+I++ObR6mL3uDoVgOb+y8vDxPR9OCnPlMBSkI8Zs
a4/gkTNXbDu6a0abphT0OXc6nPRJVJR8P1DM7hXapw0vv9HsQ0JdZQWGCJIi79YQCoYCbBI8a8X8
N4f0dDZnYoXFzNi+z7jFO7/fMy/Qos1fSZ3boVoFpELuIISo2njpP+iz6SIUAKAMzW7w8gOHNswc
6NqqCsrKG91p1OdHds3pqXJLc5rDmM92rRrb3aJVJWZY9Rj70TffLAmx1G1cZDmPWHH4x90fTAx1
UdBvw9jIzv+VOesOfDxM7dfnMSdk4ScTXRgYIURE2X9s/zaWT92H9xTrx9IsQpfu3v7+MFfTlm0p
ZnXpPeGTffs/HGADoQ0AoM/kMaywsDA9PR2SQ2eIoCIrMSEtp5jXiIws7N179u3jYQV7CWkwgYW8
vLSUrLyisup6EWIam1nYOrl7+Xg5cdr00JYIKh4lP8zMLa6sFRCGsXkXJ3efnj1czDvzE19Ikxak
9SWZSQ8zC8qq68Q0Yws7Z0+/Xj4Oph14HLCYX5CRkpFTWMqrE0rpRiZmFnZOrm4e7k6WLOirAk2F
ASEv/9Gj3Pyi0ip+faMIs0zMbRxcPH193W3YOi1m1KuAVMkhCNRaSlbos1EzFIDOUgUrs1MepucU
VfIbGwqi/r6SXksQQpjjP2PT1jY9bSCC0vT7CWl5ZTVimomlvbtfYG8Pyw6uxOKa/PTUjJyCMl6d
EDGNOdYObl6+3d1tjDppHeqofqz0yeklc4+kiRHC5qO/+nNVGAMhUl+UkvAgPa+8TswwtXb08O/T
09UCGlIAgD67cOHCrl27YP4XAAAAAAAAAADVEf6DH1atPZVWTxBC2NhzwvptywZ0gdUNQE2K5n8B
AMDgyOZ/obUEAAAAAAAAAEB1mNNn3rYtU7ubYIQQaXj096aPvr5WKO706QIAAAC8CMz/AgAAAAAA
AADQA9gicMHXm97yMsYIYcQypjfWCeB8WgAAAOAFYIUDAAAAAAAAAAD9gC2DF2/fSN95yXTiounB
djCgBQAAAF6IgRGCB6YAAAAAAAAAAPQCtgpbuDUM0gEAAABoI1qXTn2AMQAAAAAAAAAAAAAAABgs
WtcuRhghJhOmgQEAAAAAAAAAAAAAAMBAODo6IoRwP7+ucSklvPr6w4cPFxYWQroAAAAAAAAAAAAA
AACADoSHh2v1+klJSQxsyjGllYjF4vfee+/5T3A4HMgGAAAAAAAAAAAAAAAAUBufz1f479qe/0UI
0RDdyIiFIQ8AAAAAAAAAAAAAAADAwNAQYrIYkA4AAAAAAAAAAAAAAABgaGgI02g0SAcAAAAAAAAA
AAAAAAAwNDD1CwAAAAAAAAAAAAAAAIaJgYhUKoV0AAAAAAAAAAAAAAAAAMoxMjKytrYyMzNjMpkI
IZFIVFtbW1lZ1djY2JZfZyAkEoohGQEAAAAAAAAAAAAAAIBCMMYODvY2NjbN/5HNZrPZbBsbm4qK
iqKiYkKI6ovQkKSxUUggNQEAAAAAAAAAAAAAAIAiMMZubq6tJn+bs7GxcXNzxRirvg6N1NXWwfQv
AAAAAAAAAAAAAAAAUIaDg4OZmZnqz5iZmTk42Kv+DK2WxxPB/C8AAAAAAAAAAAAAAABQA5vNtrGx
bssnbWxsjIyMVHyAVlougOlfAAAAAAAAAAAAAAAAoIg2Tv7KWFlZqfgprRw2/wUAAAAAAAAAAAAA
AADKeOHOD81xOKo+TJNCcgIAAAAAAAAAAAAAAABlMJlMTX2YBqkJAAAAAAAAAAAAAAAA1EGj0TT1
YZj/BQAAAAAAAAAAAAAAAMME878AAAAAAAAAAAAAAABgmP4P3DL/Auaba3EAAAAASUVORK5CYII=
--=-=-=
Content-Type: text/plain


> 2. What's the "Quick Help" part for?  I don't see any use for it.  It
> seems to be always present, but it doesn't indicate anything, and I
> cannot click on it.  Also, if I didn't hit ? in the control buffer, the
> only content of this buffer already is "Type ? for help".

The "Quick Help" bit has a popup that says what mouse-2 and mouse-3
does, which seems somewhat helpful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2012 17:29:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 12:29:01 2012
Received: from localhost ([127.0.0.1]:56359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TWVuX-0001DC-7x
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 12:29:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54352)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuW-0001D0-0J
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 12:29:00 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuN-0008NB-CG
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 12:28:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.5 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,RCVD_IN_XBL autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38062)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuN-0008N6-9A
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 12:28:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60406)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuJ-0005Ux-1C
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 12:28:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuD-0008Kd-QN
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 12:28:46 -0500
Received: from mout.web.de ([212.227.17.12]:63563)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TWVuD-0008KJ-Gc
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 12:28:41 -0500
Received: from drachen.dragon ([89.204.130.109]) by smtp.web.de (mrweb101)
	with ESMTPSA (Nemesis) id 0MHowb-1TV8KQ0pDR-004MBZ;
	Thu, 08 Nov 2012 18:28:39 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; ediff: mode-line of control buffer - improvement request
Date: Thu, 08 Nov 2012 18:29:08 +0100
Message-ID: <87mwys0zrv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:BPh0p40o5bEjZsLcZdRc0l1I5a+Jj6gO7dS3Ve5fVX2
	/59fxUWfKbD8a5oZpLCnbltXN3YUv/81obKN4vlHI8G0HhJIb5
	5V0X8du4E/hrRYgtBGFVwF8V4LVf1OGxOz/zhrFQEv50dn/FlK
	qW1AcCb1gDT1STaGmxmCA9tpDwqiGigYBm0YJUrHqBrOImjJBP
	QRMVdJKBxReS4XwXSUld9oWPv1BU+HU3uIHixilP1I=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Hello,

I use ediff with this setting:

(setq ediff-window-setup-function 'ediff-setup-windows-plain)

Then, the mode-line of the control buffer looks like that:

-- *Ediff Control Panel*   diff 1 of 1        Quick Help

My questions/requests:

1.  It would be much more convenient if the "diff ... of ..." part would
be highlighted somehow, so that it is more visible.  It is an extremely
relevant information, and can now be recognized very badly.

The function to change would probably be
`ediff-make-wide-control-buffer-id'.  I tested with this, for example:

(defun ediff-make-wide-control-buffer-id ()
  (list (concat "%b   "
                (propertize (cond ((< ediff-current-difference 0)
                                   (format "At start of %d diffs"
                                           ediff-number-of-differences))
                                  ((>= ediff-current-difference ediff-number-of-differences)
                                   (format "At end of %d diffs"
                                           ediff-number-of-differences))
                                  (t
                                   (format "diff %d of %d"
                                           (1+ ediff-current-difference)
                                           ediff-number-of-differences)))
                            'face 'mode-line-buffer-id))))

2. What's the "Quick Help" part for?  I don't see any use for it.  It
seems to be always present, but it doesn't indicate anything, and I
cannot click on it.  Also, if I didn't hit ? in the control buffer, the
only content of this buffer already is "Type ? for help".

This is more a question.  I just don't see the purpose of showing this
string.  Maybe I've overlooked something.


Thanks,

Michael.



In GNU Emacs 24.2.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2012-11-01 on dex, modified by Debian
 (emacs-snapshot package, version 2:20121101-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux testing (wheezy)

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.2.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.2.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/x86_64-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t





Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12840; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Jun 2022 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.